@using Newtonsoft.Json
@using System.Net
@using System.Timers
@inject HttpClient Http
@inject NavigationManager NavManager
@inject IMatToaster Toaster
@inject GlobalAppState GlobalAppState
@implements IDisposable
@page "/shipmentgps"

<h1>Shipment GPS</h1>
@if (GlobalAppState.State == LoadState.Loading)
{
    <Spin Size="large"/>
}
else
{
    <MatTable Items="@Shipments" class="mat-elevation-z5">
        <MatTableHeader>
            <th>Partner</th>
            <th>ContractID</th>
            <th>Tracked</th>
            <th>Location</th>
            <th>Last Update</th>
        </MatTableHeader>
        <MatTableRow>
            <td>@context.PartnerCompanyCode</td>
            <td>@context.ContractLocalId</td>
            <td>@context.IsTracked</td>
            <td>@context.LocationDisplay</td>
            <td>@(context.LastUpdateTime != DateTime.MinValue ? context.LastUpdateTime.ToLocalTime().ToString() : "")</td>
        </MatTableRow>
    </MatTable>
}